# evaluations#getYaml

Get entity yaml

Endpoint: GET /pm/api/v1/evaluations/getYaml
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string)
    Harness account ID
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `orgIdentifier` (string)
    Harness organization ID
    Example: "test-org"

  - `projectIdentifier` (string)
    Harness project ID
    Example: "test-project"

  - `entityIdentifier` (string, required)
    Entity identifier
    Example: "testPipelineName"

  - `entityType` (string, required)
    Entity type
    Enum: "pipeline"

  - `validateAsync` (boolean)
    Validate Async
    Example: true

  - `parentEntityConnectorRef` (string)
    Connector Reference
    Example: "github_connector"

  - `parentEntityRepoName` (string)
    Repo Name
    Example: "testrepo"

  - `loadFromFallbackBranch` (boolean)
    Load from fall back branch
    Example: true

  - `branch` (string)
    Git Branch
    Example: "main"

## Header parameters:

  - `x-api-key` (string)
    Harness PAT key used to perform authorization
    Example: "Dolor et vero."

## Response 200 fields (application/json):

  - `yaml` (string, required)
    entity yaml
    Example: "x: asdf"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


